GET
Get Trade
Get the details of a single trade by trade id.
Requires access token scope: trade_view
Path Params
-
accountIdstring requiredThe ID of the account -
tradeIdstring requiredThe id of the trade to retrieve
Responses
200
A trade
Response Body
object
-
idstring uuid required -
orderIdstring uuid required -
timestring date-time requiredThe date when the trade occurred -
creationDatestring date-time requiredThe date when the trade was created in our system -
productstring requiredProduct name e.g. BTC-USD -
sidestring enum requiredThe side of the orderbuysell -
pricestring decimal requiredFilled price, e.g. For BTC-USD product, 90000.00 USD -
quoteQuantitystring decimal requiredFilled quote quantity, e.g. For BTC-USD product, 100.50 USD -
quantitystring decimal requiredFilled base quantity, e.g. For BTC-USD product, 0.0045 BTC -
fundingTypestring enum requiredThe funding type of the order.
- Funded orders will be placed using the Go account balance.
- Margin orders will be placed using the margin account balances. See our Trade Guide for more details on each funding type.
marginfunded -
settledboolean required -
settleDatestring date-time nullableThe date when the trade was settled. Null if not yet settled. -
accountIdstring requiredThe ID of the account -
enterpriseIdstring requiredThe BitGo enterprise ID associated with this trade
400
Bad request - Invalid trade ID
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-
401
Unauthorized - Invalid or missing authentication
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-
403
Forbidden - Insufficient permissions
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-
404
Not Found - Trade does not exist
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-
500
Internal Server Error
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-